$_CAT <<EOF >&2
ERROR: Could not download the debootstrap package from
- $dst
+ $tmp
Usually, this means that Debian released a new version which is unknown
to util-vserver and removed the known ones. To fix this, go to
tar xzf data.tar.gz
export DEBOOTSTRAP_DIR=`pwd`/usr/lib/debootstrap
DEBOOTSTRAP=`pwd`/usr/sbin/debootstrap
+
+ local arch
+ arch=$(uname -i 2>/dev/null) || \
+ arch=$(arch 2>/dev/null) ||
+ arch=
+
+ ## Wash the calculated architecture
+ case $arch in
+ (i?86|athlon) arch=i386;;
+ esac
+
+ test -z "$arch" || echo "$arch" >$DEBOOTSTRAP_DIR/arch
}
popd &>/dev/null
while true; do
case "$1" in
- -d) DISTRIBUTION=$2; shift;;
- -m) mirror=$2; shift;;
- --debug) set -x;;
- --) shift; break ;;
- *) echo "vserver-build.debootstrap: internal error: unrecognized option '$1'" >&2
+ (-d) DISTRIBUTION=$2; shift;;
+ (-m) mirror=$2; shift;;
+ (--debug) set -x;;
+ (--) shift; break ;;
+ (*) echo "vserver-build.debootstrap: internal error: unrecognized option '$1'" >&2
exit 1
;;
esac